## gate.security
Interface Session

All Known Implementing Classes:
  SessionImpl

public interface Session

Method Summary
`Group` `getGroup()` returns the group associated with the session
`Long` `getID()` returns the session ID
`User` `getUser()` returns the user associated with the session
`boolean` `isPrivilegedSession()` TRUE if user associated with the session is in the ADMINS user group, otherwise FALSE

Method Detail

### getID

    public Long getID()

  returns the session ID

### getUser

    public User getUser()

  returns the user associated with the session

### getGroup

    public Group getGroup()

  returns the group associated with the session

### isPrivilegedSession

    public boolean isPrivilegedSession()

  TRUE if user associated with the session is in the ADMINS user group, otherwise FALSE